/**
 * P4
 * http://snarfed.org/space/p4
 *
 * Copyright 2001-2004
 * Ken Ashcraft <kashcraft+p4@gmail.com>
 * Ryan Barrett <p4@ryanb.org>
 * Maulik Shah <p4@maulik.net>
 * Nathan Stoll <nathanstoll+p4@gmail.com>
 *
 * @file servicer.h
 *
 * Declares the serviceer_loop function, which p4_bootstrap (in the client API)
 * calls.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _SERVICER_H
#define _SERVICER_H

#include <semaphore.h>

/*****************************************************************************
 * TYPES
 *****************************************************************************/
/** stop_info
 *
 * Tells the servicer thread when to stop. Once the bool is set to true by some
 * other thread, the servicer will post to the semaphore.
 */
struct stop_info {
  bool time_to_stop;
  sem_t sem;
};

/**********************************************************************
 * PROTOTYPES
 **********************************************************************/
void *servicer_loop(void *data);

#endif // _SERVICER_H
